"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const customErrors_1 = require("../utils/customErrors");
Array.prototype.chunkByCount = function (chunkCount, forceFairness = false, thisArg = this) {
    if (chunkCount <= 0)
        throw new customErrors_1.Exception_OutOfBounds();
    const result = [];
    for (let i = chunkCount; i > 0; i--) {
        result.push([]);
    }
    const fairness = forceFairness ? thisArg.length % chunkCount : 0;
    thisArg.slice(0, thisArg.length - fairness).forEach((ele, i) => {
        const group = i % chunkCount;
        result[group].push(ele);
    });
    return result;
};
