export {};
declare global {
    interface Array<T> {
        /**
         * Returns the elements of an array that meet the condition specified in a callback function
         * and removes those element from the source array.
         * *NOTE* This function is not immutable.
         *
         *
         * @param predicate A function that accepts up to three arguments.
         * The filter method calls the predicate function one time for each element in the array.
         * @param thisArg An object to which the this keyword can refer in the predicate function.
         */
        filterAndDelete: (predicate: (value: T, index?: number, array?: T[]) => boolean, thisArg?: T[]) => T[];
    }
}
