"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const customErrors_1 = require("../utils/customErrors");
const typeGuards_1 = require("../utils/typeGuards");
Array.prototype.findAndReplace = function (predicate, replaceVal, addIfNotFound = false, thisArg = this) {
    const oldIndex = thisArg.findIndex(predicate);
    if (oldIndex === -1) {
        if (!addIfNotFound) {
            return null;
        }
        if (typeGuards_1.isFunction(replaceVal)) {
            throw new customErrors_1.Exception_FindReplaceIllegalAction();
        }
        else {
            thisArg.push(replaceVal);
        }
        return null;
    }
    const oldItem = thisArg[oldIndex];
    if (typeGuards_1.isFunction(replaceVal)) {
        thisArg[oldIndex] = replaceVal(thisArg[oldIndex]);
    }
    else {
        thisArg[oldIndex] = replaceVal;
    }
    return oldItem;
};
