import "../sortByAttr";
declare global {
    interface Array<T> {
        /**
         * Shorthand for finding element with median value of an attribute.
         * Tiebreaker option is available for even length ranges. Defaults by taking the **lower** of the two.
         *
         * @returns The entire element found. So if you write `x => x.score` x is returned.
         *
         * Examples:
         * ```typescript
         * const medianScore = myArr.median(x => x.score);
         * const medianScore = myArr.median(x => x.score, 1);
         * const medianScore = myArr.median(x => x.score, -1);
         * ```
         */
        median(callbackfn?: (value: T) => number, tieBreaker?: -1 | 1, thisArg?: any[]): T;
    }
}
