import "../filterAndDelete";
declare global {
    interface Array<T> {
        /**
         * Shorthand for zipping two arrays together
         *
         * Examples:
         * ```typescript
         * const modelUserAges = userArr.zip(
         *   carArr,
         *   (u: User, c: Car) => u.id === c.ownerId,
         *   (u: User, c: Car) => ({ age: u.age, model: c.model})
         * );
         * ```
         */
        zip<U, V>(secondArr: U[], matchFunc: (t: T, u: U) => boolean, zipFunc: (t: T, u: U) => V, thisArg?: any[]): V[];
    }
}
